set tez.queue.name=${TEZ_QUEUE}; 
truncate table ${DBNAME_WRK_PROD}.f_tr_actuacion_detallada_prev;

-- Creo dos tabla (fija y movil) con los registros cuyos nombre_extractor_tx no aparecen en la lista de los archivos cargados(la tabla anterior) y tambien creo el campo r_number para especificar numerar los registros por ocurrencias.

DROP TABLE IF EXISTS ${DBNAME_WRK_PROD}.altamira_operaciones_fp_temp;

create table ${DBNAME_WRK_PROD}.altamira_operaciones_fp_temp as 
select
t0.ani_cd ,
t0.operacion_fh ,
t0.operacion_actuacion_cd ,
t0.usuario_ultima_modificacion_cd ,
t0.causa_cd ,
t0.importe_inicial_mo ,
t0.importe_abono_mo ,
t0.importe_recarga_mo ,
t0.importe_especial_mo ,
t0.importe_bolsa5_mo ,
t0.importe_bolsa6_mo ,
t0.importe_coste_mo ,
t0.bono_cd ,
t0.categoria_abonado_cd ,
t0.referencia_recarga_cd ,
t0.origen_recarga_cd ,
t0.promocion_cd,
t0.secuencia_actuacion_recarga_nr ,
t0.modalidad_tipo_prepago_cd ,
t0.nombre_usuario_oracle_de ,
t0.tecnologia_cd ,
t0.subactuacion_cd ,
t0.actuacion_anulada_cd ,
t0.caducidad_actuacion_fh ,
t0.serie_tarjeta_rasca_nr ,
t0.identificador_peticiongesto_cd ,
t0.importe_penalizacion_mo ,
t0.importe_compensacion_deuda_mo ,
t0.importe_pend_monedero_deuda_mo ,
t0.compensacion_total_fl ,
t0.fecha_compensacion_fh ,
t0.inicio_uso_deuda_fh ,
t0.nombre_extractor_tx ,
t0.fecha ,
ROW_NUMBER() over (PARTITION BY 
t0.ani_cd ,
t0.operacion_fh ,
t0.operacion_actuacion_cd ,
t0.usuario_ultima_modificacion_cd ,
t0.causa_cd ,
t0.importe_inicial_mo ,
t0.importe_abono_mo ,
t0.importe_recarga_mo ,
t0.importe_especial_mo ,
t0.importe_bolsa5_mo ,
t0.importe_bolsa6_mo ,
t0.importe_coste_mo ,
t0.bono_cd ,
t0.categoria_abonado_cd ,
t0.referencia_recarga_cd ,
t0.origen_recarga_cd ,
t0.promocion_cd,
t0.secuencia_actuacion_recarga_nr ,
t0.modalidad_tipo_prepago_cd ,
t0.nombre_usuario_oracle_de ,
t0.tecnologia_cd ,
t0.subactuacion_cd ,
t0.actuacion_anulada_cd ,
t0.caducidad_actuacion_fh ,
t0.serie_tarjeta_rasca_nr ,
t0.identificador_peticiongesto_cd ,
t0.importe_penalizacion_mo ,
t0.importe_compensacion_deuda_mo ,
t0.importe_pend_monedero_deuda_mo ,
t0.compensacion_total_fl ,
t0.fecha_compensacion_fh ,
t0.inicio_uso_deuda_fh ,
t0.nombre_extractor_tx ,
t0.fecha) as r_number
FROM trafico.altamira_operaciones_fp t0
LEFT JOIN ${DBNAME_EDW_PROD_LOG}.dimensional_list_nombre_extractor t1 on t0.nombre_extractor_tx = t1.nombre_extractor_tx and mode_name ='actuaciones' 
WHERE t1.nombre_extractor_tx IS NULL and fecha = ${CURRENT_DATE_N};

---insert 

insert into ${DBNAME_WRK_PROD}.f_tr_actuacion_detallada_prev
select
ani_cd ,
operacion_fh ,
operacion_actuacion_cd ,
usuario_ultima_modificacion_cd ,
causa_cd ,
case when importe_inicial_mo is not null then importe_inicial_mo else 0 end importe_inicial_mo ,
case when importe_abono_mo  is not null then importe_abono_mo  else 0 end importe_abono_mo  ,
case when importe_recarga_mo is not null then importe_recarga_mo else 0 end importe_recarga_mo ,
case when importe_especial_mo is not null then importe_especial_mo else 0 end importe_especial_mo ,
case when importe_bolsa5_mo  is not null then importe_bolsa5_mo  else 0 end importe_bolsa5_mo  ,
case when importe_bolsa6_mo  is not null then importe_bolsa6_mo  else 0 end importe_bolsa6_mo  ,
case when importe_coste_mo  is not null then importe_coste_mo  else 0 end importe_coste_mo  ,
bono_cd ,
categoria_abonado_cd ,
referencia_recarga_cd ,
origen_recarga_cd ,
REGEXP_REPLACE(promocion_cd, "\t", "") promocion_cd,
secuencia_actuacion_recarga_nr ,
modalidad_tipo_prepago_cd ,
nombre_usuario_oracle_de ,
tecnologia_cd ,
subactuacion_cd ,
actuacion_anulada_cd ,
caducidad_actuacion_fh ,
serie_tarjeta_rasca_nr ,
identificador_peticiongesto_cd ,
case when importe_penalizacion_mo         is not null then importe_penalizacion_mo         else 0 end  importe_penalizacion_mo        ,
case when importe_compensacion_deuda_mo   is not null then importe_compensacion_deuda_mo   else 0 end  importe_compensacion_deuda_mo  ,
case when importe_pend_monedero_deuda_mo  is not null then importe_pend_monedero_deuda_mo  else 0 end  importe_pend_monedero_deuda_mo ,
compensacion_total_fl ,
fecha_compensacion_fh ,
inicio_uso_deuda_fh ,
nombre_extractor_tx ,
fecha as fecha_proceso 
from ${DBNAME_WRK_PROD}.altamira_operaciones_fp_temp
where r_number = 1 

union all

select 
ani_cd ,
operacion_fh ,
operacion_actuacion_cd ,
usuario_ultima_modificacion_cd ,
causa_cd ,
importe_inicial_mo ,
importe_abono_mo ,
importe_recarga_mo ,
importe_especial_mo ,
importe_bolsa5_mo ,
importe_bolsa6_mo ,
importe_coste_mo ,
bono_cd ,
categoria_abonado_cd ,
referencia_recarga_cd ,
origen_recarga_cd ,
promocion_cd ,
secuencia_actuacion_recarga_nr ,
modalidad_tipo_prepago_cd ,
nombre_usuario_oracle_de ,
tecnologia_cd ,
subactuacion_cd ,
actuacion_anulada_cd ,
caducidad_actuacion_fh ,
serie_tarjeta_rasca_nr ,
identificador_peticiongesto_cd ,
importe_penalizacion_mo ,
importe_compensacion_deuda_mo ,
importe_pend_monedero_deuda_mo ,
compensacion_total_fl ,
fecha_compensacion_fh ,
inicio_uso_deuda_fh ,
nombre_extractor_tx ,
fecha_proceso 

from ${DBNAME_EDW}.f_tr_actuacion_detallada_reinyect;
